Summary: XML-SAX Perl module
Name: perl-XML-SAX
Version: 0.12
Release: 1
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: XML-SAX-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: %{name}
Provides: perl(XML::SAX::PurePerl::DocType), perl(XML::SAX::PurePerl::DTDDecls)
Provides: perl(XML::SAX::PurePerl::EncodingDetect), perl(XML::SAX::PurePerl::NoUnicodeExt)
Provides: perl(XML::SAX::PurePerl::UnicodeExt), perl(XML::SAX::PurePerl::XMLDecl)
BuildRequires: perl perl-XML-NamespaceSupport
Requires: perl perl-XML-NamespaceSupport
Patch0: perl-XML-SAX-0.12-parsers.patch

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. 

%prep
%setup -q -n XML-SAX-%{version}
%patch -p1 -b .parsers

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > XML-SAX-%{version}-filelist
if [ "$(cat XML-SAX-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f XML-SAX-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Mon Feb 23 2004  <yasuma@miraclelinux.com> 0.12-1
- Initial build.


